# Class yii\base\ViewNotFoundException

Inheritance | yii\base\ViewNotFoundException » yii\base\InvalidArgumentException » yii\base\InvalidParamException » BadMethodCallException
Available since version | 2.0.10
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/base/ViewNotFoundException.php

ViewNotFoundException represents an exception caused by view file not found.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
getName() |  | yii\base\ViewNotFoundException

## Method Details

getName() public method

public string getName ( )
return | string | The user-friendly name of this exception